import "dotenv/config";
import { Table } from "typeorm";
import { SnakeNamingStrategy } from "typeorm-naming-strategies";
import { TypeOrmModuleOptions } from "@nestjs/typeorm";
export declare class ConstraintSnakeNamingStrategy extends SnakeNamingStrategy {
    constructor();
    primaryKeyName(tableOrName: Table | string, columnNames: string[]): string;
    foreignKeyName(tableOrName: Table | string, columnNames: string[], referencedTablePath?: string): string;
}
export declare const MysqlBaseConfig: (host: string, port: string, username: string, password: string, database: string, any?: Record<string, any>) => TypeOrmModuleOptions;
