import { CentralExchangeMarketHistory } from "../central-exchange-market-history/central-exchange-market-history.entity";
import { EmptyEntity } from "../app/entity.base";
import { CentralExchangeMarketQuote } from "../central-exchange-market-quote/central-exchange-market-quote.entity";
import { CentralExchange } from "../central-exchange/central-exchange.entity";
declare const CentralExchangeMarket_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class CentralExchangeMarket extends CentralExchangeMarket_base {
    centralExchange: CentralExchange;
    marketKey: string;
    base: string;
    quote: CentralExchangeMarketQuote;
    price: string;
    percentChange: string;
    history: CentralExchangeMarketHistory[];
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
