"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CentralExchangeMarket = void 0;
const central_exchange_market_history_entity_1 = require("../central-exchange-market-history/central-exchange-market-history.entity");
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const central_exchange_market_quote_entity_1 = require("../central-exchange-market-quote/central-exchange-market-quote.entity");
const central_exchange_entity_1 = require("../central-exchange/central-exchange.entity");
let CentralExchangeMarket = class CentralExchangeMarket extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
CentralExchangeMarket.relations = ["centralExchange", "quote", "history"];
CentralExchangeMarket.recursiveRelations = [];
__decorate([
    (0, typeorm_1.ManyToOne)(() => central_exchange_entity_1.CentralExchange, {
        nullable: false,
    }),
    __metadata("design:type", central_exchange_entity_1.CentralExchange)
], CentralExchangeMarket.prototype, "centralExchange", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 50, nullable: false }),
    __metadata("design:type", String)
], CentralExchangeMarket.prototype, "marketKey", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 50, nullable: false }),
    __metadata("design:type", String)
], CentralExchangeMarket.prototype, "base", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => central_exchange_market_quote_entity_1.CentralExchangeMarketQuote, {
        nullable: false,
    }),
    __metadata("design:type", central_exchange_market_quote_entity_1.CentralExchangeMarketQuote)
], CentralExchangeMarket.prototype, "quote", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 65, scale: 22, default: 0 }),
    __metadata("design:type", String)
], CentralExchangeMarket.prototype, "price", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", String)
], CentralExchangeMarket.prototype, "percentChange", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => central_exchange_market_history_entity_1.CentralExchangeMarketHistory, (centralExchangeMarketHistory) => centralExchangeMarketHistory.centralExchangeMarket),
    __metadata("design:type", Array)
], CentralExchangeMarket.prototype, "history", void 0);
CentralExchangeMarket = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_central-exchange-market_1", ["centralExchange", "marketKey"], {
        unique: true,
    })
], CentralExchangeMarket);
exports.CentralExchangeMarket = CentralExchangeMarket;
//# sourceMappingURL=central-exchange-market.entity.js.map