import { EmptyEntity } from "../app/entity.base";
import { CENTRAL_EXCHANGE_NAME } from "./central-exchange.constant";
declare const CentralExchange_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class CentralExchange extends CentralExchange_base {
    name: CENTRAL_EXCHANGE_NAME;
    siteUrl: string;
    twitter: string;
    blog: string;
    chat: string;
    fee: string;
    logoLink: string;
    config: string;
    static relations: any[];
    static recursiveRelations: any[];
}
export {};
