"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CentralExchange = void 0;
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const central_exchange_constant_1 = require("./central-exchange.constant");
let CentralExchange = class CentralExchange extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
CentralExchange.relations = [];
CentralExchange.recursiveRelations = [];
__decorate([
    (0, typeorm_1.Column)({ type: "enum", enum: central_exchange_constant_1.CENTRAL_EXCHANGE_NAME, nullable: false }),
    __metadata("design:type", String)
], CentralExchange.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], CentralExchange.prototype, "siteUrl", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], CentralExchange.prototype, "twitter", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], CentralExchange.prototype, "blog", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], CentralExchange.prototype, "chat", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], CentralExchange.prototype, "fee", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], CentralExchange.prototype, "logoLink", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", String)
], CentralExchange.prototype, "config", void 0);
CentralExchange = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_central-exchange_1", ["name"], { unique: true })
], CentralExchange);
exports.CentralExchange = CentralExchange;
//# sourceMappingURL=central-exchange.entity.js.map