"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dex = void 0;
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const network_entity_1 = require("../network/network.entity");
let Dex = class Dex extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
Dex.relations = ["network"];
Dex.recursiveRelations = [];
__decorate([
    (0, typeorm_1.ManyToOne)(() => network_entity_1.Network, {
        nullable: false,
    }),
    __metadata("design:type", network_entity_1.Network)
], Dex.prototype, "network", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 50, nullable: false }),
    __metadata("design:type", String)
], Dex.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: true }),
    __metadata("design:type", String)
], Dex.prototype, "router", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: false }),
    __metadata("design:type", String)
], Dex.prototype, "factory", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: true }),
    __metadata("design:type", String)
], Dex.prototype, "factoryInitCodeHash", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "integer", default: 0 }),
    __metadata("design:type", Number)
], Dex.prototype, "factoryPairTotalLength", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], Dex.prototype, "logoLink", void 0);
Dex = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_dex_1", ["network", "factory"], { unique: true })
], Dex);
exports.Dex = Dex;
//# sourceMappingURL=dex.entity.js.map