import { EmptyEntity } from "../app/entity.base";
import { Protocol } from "../protocol/protocol.entity";
import { Token } from "../token/token.entity";
declare const Farm_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class Farm extends Farm_base {
    protocol: Protocol;
    group: number;
    address: string;
    pid: string;
    poolAddress: string;
    assets: string;
    stakeTokens: Token[];
    rewardTokens: Token[];
    data: any;
    link: string;
    static relations: string[];
    static recursiveRelations: string[];
}
export {};
