import { EmptyEntity } from "../app/entity.base";
import { Network } from "../network/network.entity";
import { INTERACTION_TYPE } from "./interaction.constant";
declare const Interaction_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class Interaction extends Interaction_base {
    network: Network;
    type: INTERACTION_TYPE;
    contractAddress: string;
    address: string;
    referPid: string;
    referAddress: string;
    _: string;
    in_(): void;
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
