export declare enum NETWORK_CHAIN_TYPE {
    EVM = "EVM",
    TERRA = "TERRA",
    BITCOIN = "BITCOIN",
    TRON = "TRON",
    SOLANA = "SOLANA",
    POLKADOT = "POLKADOT",
    APTOS = "APTOS",
    COSMOS = "COSMOS",
    KUSAMA = "KUSAMA",
    NEAR_PROTOCOL = "NEAR_PROTOCOL",
    RIPPLE = "RIPPLE",
    ONTOLOGY = "ONTOLOGY",
    EOS = "EOS",
    QTUM = "QTUM",
    TEZOS = "TEZOS",
    CARDANO = "CARDANO"
}
export declare enum NETWORK_CHAIN_ID {
    ETHEREUM = "1",
    OPTIMISM = "10",
    CRONOS = "25",
    TELOS_EVM = "40",
    BINANCE_SMART_CHAIN = "56",
    OKEX = "66",
    TOMO_CHAIN = "88",
    GNOSIS = "100",
    SOLANA = "101",
    FUSE = "122",
    HECO = "128",
    POLYGON = "137",
    FANTOM = "250",
    BOBA = "288",
    METIS = "1088",
    MOONBEAM = "1284",
    MOONRIVER = "1285",
    KLAYTN = "8217",
    SMART_BCH = "10000",
    ARBITRUM = "42161",
    ARBITRUM_NOVA = "42170",
    CELO = "42220",
    AVALANCHE = "43114",
    HARMONY = "1666600000",
    TERRA = "columbus-5",
    BITCOIN = "bitcoin",
    TRON = "tron",
    POLKADOT = "polkadot",
    APTOS = "aptos",
    COSMOS = "cosmos",
    KUSAMA = "kusama",
    NEAR_PROTOCOL = "near_protocol",
    RIPPLE = "ripple",
    ONTOLOGY = "ontology",
    EOS = "eos",
    QTUM = "qtum",
    TEZOS = "tezos",
    CARDANO = "cardano"
}
