import { EmptyEntity } from "../app/entity.base";
import { NETWORK_CHAIN_ID, NETWORK_CHAIN_TYPE } from "./network.constant";
declare const Network_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class Network extends Network_base {
    name: string;
    subName: string;
    slug: string;
    currencySymbol: string;
    chainType: NETWORK_CHAIN_TYPE;
    chainId: NETWORK_CHAIN_ID;
    multiCallAddress: string;
    http: any;
    blockTimeSec: number;
    explorerUrl: string;
    logoLink: string;
    get chainKey(): string;
    static relations: any[];
    static recursiveRelations: any[];
}
export {};
