"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NFTokenItem = void 0;
const nf_token_item_price_entity_1 = require("../nf-token-item-price/nf-token-item-price.entity");
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const nf_token_entity_1 = require("../nf-token/nf-token.entity");
let NFTokenItem = class NFTokenItem extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
NFTokenItem.relations = ["nfToken", "prices"];
NFTokenItem.recursiveRelations = ["nfToken.network"];
__decorate([
    (0, typeorm_1.ManyToOne)(() => nf_token_entity_1.NFToken, (nfToken) => nfToken.id, {
        nullable: false,
    }),
    __metadata("design:type", nf_token_entity_1.NFToken)
], NFTokenItem.prototype, "nfToken", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 200, nullable: false }),
    __metadata("design:type", String)
], NFTokenItem.prototype, "tokenId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], NFTokenItem.prototype, "tokenUri", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 50, nullable: false, default: 1 }),
    __metadata("design:type", String)
], NFTokenItem.prototype, "supply", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "longtext", nullable: true }),
    __metadata("design:type", String)
], NFTokenItem.prototype, "metadata", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => nf_token_item_price_entity_1.NFTokenItemPrice, (nfTokenItemPrice) => nfTokenItemPrice.nfTokenItem),
    __metadata("design:type", Array)
], NFTokenItem.prototype, "prices", void 0);
NFTokenItem = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_nfTokenItem_1", ["nfToken", "tokenId"], { unique: true })
], NFTokenItem);
exports.NFTokenItem = NFTokenItem;
//# sourceMappingURL=nf-token-item.entity.js.map