import { Contract } from "../contract/contract.entity";
import { EmptyEntity } from "../app/entity.base";
import { NF_TOKEN_MARKETPLACE_NAME, NF_TOKEN_MARKETPLACE_ORDER } from "./nf-token-marketplace.constant";
declare const NFTokenMarketplace_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class NFTokenMarketplace extends NFTokenMarketplace_base {
    name: NF_TOKEN_MARKETPLACE_NAME;
    siteUrl: string;
    logoLink: string;
    events: string;
    order: NF_TOKEN_MARKETPLACE_ORDER;
    marketplaceContract: Contract;
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
