"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NFTokenMarketplace = void 0;
const contract_entity_1 = require("../contract/contract.entity");
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const nf_token_marketplace_constant_1 = require("./nf-token-marketplace.constant");
let NFTokenMarketplace = class NFTokenMarketplace extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
NFTokenMarketplace.relations = ["marketplaceContract"];
NFTokenMarketplace.recursiveRelations = [];
__decorate([
    (0, typeorm_1.Column)({ type: "enum", enum: nf_token_marketplace_constant_1.NF_TOKEN_MARKETPLACE_NAME }),
    __metadata("design:type", String)
], NFTokenMarketplace.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], NFTokenMarketplace.prototype, "siteUrl", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], NFTokenMarketplace.prototype, "logoLink", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", String)
], NFTokenMarketplace.prototype, "events", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "enum", enum: nf_token_marketplace_constant_1.NF_TOKEN_MARKETPLACE_ORDER }),
    __metadata("design:type", String)
], NFTokenMarketplace.prototype, "order", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => contract_entity_1.Contract, {
        nullable: true,
    }),
    __metadata("design:type", contract_entity_1.Contract)
], NFTokenMarketplace.prototype, "marketplaceContract", void 0);
NFTokenMarketplace = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_marketplace_1", ["name"], { unique: true })
], NFTokenMarketplace);
exports.NFTokenMarketplace = NFTokenMarketplace;
//# sourceMappingURL=nf-token-marketplace.entity.js.map