import { NFTokenItem } from "../nf-token-item/nf-token-item.entity";
import { EmptyEntity } from "../app/entity.base";
import { Network } from "../network/network.entity";
import { NF_TOKEN_URI_TYPE } from "./nf-token.constant";
declare const NFToken_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class NFToken extends NFToken_base {
    network: Network;
    type: string;
    address: string;
    name: string;
    symbol: string;
    totalSupply: string;
    enumerable: boolean;
    logoLink: string;
    uriType: NF_TOKEN_URI_TYPE;
    nfTokenItems: NFTokenItem[];
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
