export declare enum PROTOCOL_NAME {
    UNISWAP = "UniSwap",
    BAKERY_SWAP = "BakerySwap",
    AIR_NFT = "AirNFT",
    APE_SWAP = "ApeSwap",
    AUTO_FARM = "AutoFarm",
    BEEFY_FINANCE = "BeefyFinance",
    BELT_FI = "BeltFi",
    BI_SWAP = "BiSwap",
    MDEX = "Mdex",
    PANCAKE_SWAP = "PancakeSwap",
    SUSHI_SWAP = "SushiSwap",
    VENUS = "Venus",
    WAULT_SWAP = "WaultSwap",
    KLAY_SWAP = "KlaySwap",
    QUICK_SWAP = "QuickSwap",
    AAVE = "Aave",
    TERRA_SWAP = "TerraSwap",
    KLIMA_DAO = "KlimaDao",
    CLAIM_SWAP = "ClaimSwap",
    I4I_FINANCE = "I4IFinance",
    PALA = "Pala",
    DEFINIX = "Definix",
    ANCHOR_PROTOCOL = "AnchorProtocol",
    ELLIPSIS = "Ellipsis",
    BABY_SWAP = "BabySwap",
    CONVEX = "CONVEX",
    COIN_WIND = "CoinWind",
    "1INCH" = "1Inch",
    ABRACADABRA = "Abracadabra",
    ALCHEMIX = "Alchemix",
    ALPHA_HOMORA = "AlphaHomora",
    ARMOR_FI = "ArmorFi",
    BALANCER = "Balancer",
    BANCOR = "Bancor",
    COMPOUND = "Compound",
    CREAM = "Cream",
    CURVE = "Cruve",
    ELEMENT_FI = "ElementFi",
    FEI = "Fei",
    FRAX = "Frax",
    HIGH_STREET = "HighStreet",
    ILLUVIUM = "Illuvium",
    IMPERMAX = "Impermax",
    ISUR_ACE = "InsurAce",
    LIDO = "Lido",
    LIQUIDITY = "Liquidity",
    LOOKS_RARE = "LooksRare",
    MAKER_DAO = "MakerDao",
    MAPLE_FINANCE = "MapleFinance",
    NEXUS_MUTUAL = "NexusMutual",
    OLYMPUS_DAO = "OlympusDao",
    ORION_MONEY = "OrionMoney",
    RARI_CAPITAL = "RariCapital",
    REDACTED_CARTEL = "RedactedCartel",
    RIBBON = "Ribbon",
    SHIBA_SWAP = "ShibaSwap",
    STAKE_DAO = "StakeDao",
    SYNAPSE = "Synapse",
    SYNTHETIX = "Synthetix",
    TOKEMAK = "Tokemak",
    TOKEN_SETS = "TokenSets",
    TORNADO = "Tornado",
    TRUE_FI = "TrueFi",
    UNIVERSE_XYZ = "UniverseXyz",
    YEARN_FINANCE = "YearnFInance",
    DYDX = "Dydx",
    ACRYPTOS = "ACryptoS",
    ALPACA_FINANCE = "AlpacaFinance",
    APE_ROCKET = "ApeRocket",
    AUTO_SHARK = "AutoShark",
    BADGER = "Badger",
    BORING_DAO = "BoringDao",
    BUNNY_PARK = "BunnyPark",
    CHARGE_DEFI = "ChargeDefi",
    COIN_SWAP = "CoinSwap",
    ELEPHANT_MONEY = "ElephantMoney",
    ELEVEN = "Eleven",
    EVRY_FINANCE = "EvryFinance",
    FULCRUM = "Fulcrum",
    HONEY_FARM = "HoneyFarm",
    HUNNY = "Hunny",
    HYPER_JUMP = "HyperJump",
    J_SWAP = "JSwap",
    KILL_SWITCH = "KillSwitch",
    KNIGHT_SWAP = "KnightSwap",
    LATTE_SWAP = "LatteSwap",
    MARS_ECOSYSTEM = "MarsEcosystem",
    MOONPOT = "Moonpot",
    NOMI_SWAP = "NomiSwap",
    PANCAKE_BUNNY = "PancakeBunny",
    PANTHER_SWAP = "PantherSwap",
    PLANET_FINANCE = "PlanetFinance",
    PLEARN = "Plearn",
    POSITION_EXCHANGE = "PositionExchange",
    SWAMP_FINANCE = "SwampFinance",
    TEN = "Ten",
    THE_ANIMAL_FARM = "TheAnimalFarm",
    TRANCHESS = "TranChess",
    ADAMANT = "Adamant",
    AUGURY = "Augury",
    CRYSTL = "Crystl",
    DFYN = "Dfyn",
    DINO_SWAP = "DinoSwap",
    FARM_HERO = "FarmHero",
    IRON_FINANCE = "IronFinance",
    MARKET_XYZ = "MarketXyz",
    POLY_CAT = "PolyCat",
    POLY_ROLL = "PolyRoll",
    QI_DAO = "QiDao",
    SAND_BOX = "SandBox",
    BLIIZZ = "Blizz",
    DEFROST = "Defrost",
    ECHIDNA_FINANCE = "EchidnaFinance",
    GMX = "Gmx",
    GALAXY_GOGGLE_DAO = "GalaxyGoggleDao",
    GRAVE_FINANCE = "GraveFinance",
    LYDIA_FINANCE = "LydiaFinance",
    MIDAS_DAO = "MidasDao",
    PANGOLIN = "Pangolin",
    PENGUIN_FINANCE = "PenguinFinance",
    PLATYPUS = "Platypus",
    RAGNAROK_DAO = "RagnarokDao",
    SNOW_BALL = "SnowBall",
    SNOW_BANK = "SnowBank",
    TALE_CRAFT = "TaleCraft",
    TRADER_JOE = "TraderJoe",
    VECTOR_FINANCE = "VectorFinance",
    VORTEX_DAO = "VortexDao",
    WONDER_LAND = "WonderLand",
    YIELD_YAK = "YieldYak",
    "0XDAO" = "0xDAO",
    "2OMB_FINANCE" = "2ombFinance",
    "3OMB_FINANCE" = "3ombFinance",
    BASED_FINANCE = "BasedFinance",
    BEETHOVENX = "Beethovenx",
    DARK_KNIGHT = "DarkKnight",
    FANT_OHM = "FantOhm",
    FUJI_DAO = "FujiDao",
    GEIST = "Geist",
    HECTOR_DAO = "HectorDao",
    HUNDRED = "Hundred",
    IRON_BANK = "IronBank",
    LIQUID_DRIVER = "LiquidDriver",
    PROTO_FI = "ProtoFi",
    REAPER_FARM = "ReaperFarm",
    SCREAM = "Scream",
    SOLIDEX = "Solidex",
    SOLIDLY = "Solidly",
    SPIRIT_SWAP = "SpiritSwap",
    SPOOKY_SWAP = "SpookySwap",
    TAROT = "Tarot",
    TOMB_FINANCE = "TombFinance",
    WIGO_SWAP = "WigoSwap",
    VE_DAO = "VeDao",
    DOPEX = "Dopex",
    HOP_EXCHANGE = "HopExchange",
    TREASURE_DAO = "TreasureDao",
    UMAMI_FINANCE = "UmamiFinance",
    VESTA_FINANCE = "VestaFinance"
}
