import { EmptyEntity } from "../app/entity.base";
import { Network } from "../network/network.entity";
import { Token } from "../token/token.entity";
import { PROTOCOL_NAME } from "./protocol.constant";
declare const Protocol_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class Protocol extends Protocol_base {
    network: Network;
    name: PROTOCOL_NAME;
    token: Token;
    useFarm: boolean;
    useLending: boolean;
    useInteraction: boolean;
    link: string;
    logoLink: string;
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
