"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlaveTask = void 0;
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const master_task_entity_1 = require("../master-task/master-task.entity");
let SlaveTask = class SlaveTask extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
SlaveTask.relations = ["masterTask"];
SlaveTask.recursiveRelations = [];
__decorate([
    (0, typeorm_1.ManyToOne)(() => master_task_entity_1.MasterTask, { nullable: false }),
    __metadata("design:type", master_task_entity_1.MasterTask)
], SlaveTask.prototype, "masterTask", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: false }),
    __metadata("design:type", String)
], SlaveTask.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "integer", nullable: true }),
    __metadata("design:type", Number)
], SlaveTask.prototype, "blockNumber", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "integer", nullable: true }),
    __metadata("design:type", Number)
], SlaveTask.prototype, "pid", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", String)
], SlaveTask.prototype, "data", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "bool", default: false }),
    __metadata("design:type", Boolean)
], SlaveTask.prototype, "panic", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "bool", default: false }),
    __metadata("design:type", Boolean)
], SlaveTask.prototype, "active", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", nullable: false }),
    __metadata("design:type", String)
], SlaveTask.prototype, "cron", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", String)
], SlaveTask.prototype, "config", void 0);
SlaveTask = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_slave_task", ["label"], { unique: true })
], SlaveTask);
exports.SlaveTask = SlaveTask;
//# sourceMappingURL=slave-task.entity.js.map