"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenCentralExchangeMarket = void 0;
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const central_exchange_market_entity_1 = require("../central-exchange-market/central-exchange-market.entity");
const token_entity_1 = require("../token/token.entity");
let TokenCentralExchangeMarket = class TokenCentralExchangeMarket extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
TokenCentralExchangeMarket.relations = ["token", "centralExchangeMarket"];
TokenCentralExchangeMarket.recursiveRelations = [
    "centralExchangeMarket.centralExchange",
    "centralExchangeMarket.quote",
    "centralExchangeMarket.history",
];
__decorate([
    (0, typeorm_1.ManyToOne)(() => token_entity_1.Token, { nullable: false }),
    __metadata("design:type", token_entity_1.Token)
], TokenCentralExchangeMarket.prototype, "token", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => central_exchange_market_entity_1.CentralExchangeMarket, { nullable: false }),
    __metadata("design:type", central_exchange_market_entity_1.CentralExchangeMarket)
], TokenCentralExchangeMarket.prototype, "centralExchangeMarket", void 0);
TokenCentralExchangeMarket = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_token_central_exchange_market_1", ["token", "centralExchangeMarket"], { unique: true })
], TokenCentralExchangeMarket);
exports.TokenCentralExchangeMarket = TokenCentralExchangeMarket;
//# sourceMappingURL=token-central-exchange-market.entity.js.map