import { EmptyEntity } from "../app/entity.base";
import { AuthProvider, UserRole } from "./user.constant";
declare const User_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class User extends User_base {
    email: string;
    name: string;
    password: string;
    image: string;
    provider: AuthProvider;
    role: UserRole;
    static relations: any[];
    static recursiveRelations: any[];
}
export {};
