"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contract = void 0;
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const network_entity_1 = require("../network/network.entity");
let Contract = class Contract extends (0, entity_base_1.IdEntity)(entity_base_1.EmptyEntity) {
};
Contract.relations = ["network"];
Contract.recursiveRelations = [];
__decorate([
    (0, typeorm_1.ManyToOne)(() => network_entity_1.Network, { nullable: false }),
    __metadata("design:type", network_entity_1.Network)
], Contract.prototype, "network", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100 }),
    __metadata("design:type", String)
], Contract.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "longtext" }),
    __metadata("design:type", String)
], Contract.prototype, "abi", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", nullable: true, length: 150 }),
    __metadata("design:type", String)
], Contract.prototype, "creationHash", void 0);
Contract = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_contract_1", ["network", "address"], { unique: true })
], Contract);
exports.Contract = Contract;
//# sourceMappingURL=contract.entity.js.map