import { EmptyEntity } from "../app/entity.base";
import { Network } from "../network/network.entity";
declare const Dex_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class Dex extends Dex_base {
    network: Network;
    name: string;
    router: string;
    factory: string;
    factoryInitCodeHash: string;
    factoryPairTotalLength: number;
    logoLink: string;
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
