"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NETWORK_CHAIN_ID = exports.NETWORK_CHAIN_TYPE = void 0;
var NETWORK_CHAIN_TYPE;
(function (NETWORK_CHAIN_TYPE) {
    NETWORK_CHAIN_TYPE["EVM"] = "EVM";
    NETWORK_CHAIN_TYPE["TERRA"] = "TERRA";
    NETWORK_CHAIN_TYPE["BITCOIN"] = "BITCOIN";
    NETWORK_CHAIN_TYPE["TRON"] = "TRON";
    NETWORK_CHAIN_TYPE["SOLANA"] = "SOLANA";
    NETWORK_CHAIN_TYPE["POLKADOT"] = "POLKADOT";
    NETWORK_CHAIN_TYPE["APTOS"] = "APTOS";
    NETWORK_CHAIN_TYPE["COSMOS"] = "COSMOS";
    NETWORK_CHAIN_TYPE["KUSAMA"] = "KUSAMA";
    NETWORK_CHAIN_TYPE["NEAR_PROTOCOL"] = "NEAR_PROTOCOL";
    NETWORK_CHAIN_TYPE["RIPPLE"] = "RIPPLE";
    NETWORK_CHAIN_TYPE["ONTOLOGY"] = "ONTOLOGY";
    NETWORK_CHAIN_TYPE["EOS"] = "EOS";
    NETWORK_CHAIN_TYPE["QTUM"] = "QTUM";
    NETWORK_CHAIN_TYPE["TEZOS"] = "TEZOS";
    NETWORK_CHAIN_TYPE["CARDANO"] = "CARDANO";
})(NETWORK_CHAIN_TYPE = exports.NETWORK_CHAIN_TYPE || (exports.NETWORK_CHAIN_TYPE = {}));
var NETWORK_CHAIN_ID;
(function (NETWORK_CHAIN_ID) {
    NETWORK_CHAIN_ID["ETHEREUM"] = "1";
    NETWORK_CHAIN_ID["OPTIMISM"] = "10";
    NETWORK_CHAIN_ID["CRONOS"] = "25";
    NETWORK_CHAIN_ID["TELOS_EVM"] = "40";
    NETWORK_CHAIN_ID["BINANCE_SMART_CHAIN"] = "56";
    NETWORK_CHAIN_ID["OKEX"] = "66";
    NETWORK_CHAIN_ID["TOMO_CHAIN"] = "88";
    NETWORK_CHAIN_ID["GNOSIS"] = "100";
    NETWORK_CHAIN_ID["SOLANA"] = "101";
    NETWORK_CHAIN_ID["FUSE"] = "122";
    NETWORK_CHAIN_ID["HECO"] = "128";
    NETWORK_CHAIN_ID["POLYGON"] = "137";
    NETWORK_CHAIN_ID["FANTOM"] = "250";
    NETWORK_CHAIN_ID["BOBA"] = "288";
    NETWORK_CHAIN_ID["METIS"] = "1088";
    NETWORK_CHAIN_ID["MOONBEAM"] = "1284";
    NETWORK_CHAIN_ID["MOONRIVER"] = "1285";
    NETWORK_CHAIN_ID["KLAYTN"] = "8217";
    NETWORK_CHAIN_ID["SMART_BCH"] = "10000";
    NETWORK_CHAIN_ID["ARBITRUM"] = "42161";
    NETWORK_CHAIN_ID["ARBITRUM_NOVA"] = "42170";
    NETWORK_CHAIN_ID["CELO"] = "42220";
    NETWORK_CHAIN_ID["AVALANCHE"] = "43114";
    NETWORK_CHAIN_ID["HARMONY"] = "1666600000";
    NETWORK_CHAIN_ID["TERRA"] = "columbus-5";
    NETWORK_CHAIN_ID["BITCOIN"] = "bitcoin";
    NETWORK_CHAIN_ID["TRON"] = "tron";
    NETWORK_CHAIN_ID["POLKADOT"] = "polkadot";
    NETWORK_CHAIN_ID["APTOS"] = "aptos";
    NETWORK_CHAIN_ID["COSMOS"] = "cosmos";
    NETWORK_CHAIN_ID["KUSAMA"] = "kusama";
    NETWORK_CHAIN_ID["NEAR_PROTOCOL"] = "near_protocol";
    NETWORK_CHAIN_ID["RIPPLE"] = "ripple";
    NETWORK_CHAIN_ID["ONTOLOGY"] = "ontology";
    NETWORK_CHAIN_ID["EOS"] = "eos";
    NETWORK_CHAIN_ID["QTUM"] = "qtum";
    NETWORK_CHAIN_ID["TEZOS"] = "tezos";
    NETWORK_CHAIN_ID["CARDANO"] = "cardano";
})(NETWORK_CHAIN_ID = exports.NETWORK_CHAIN_ID || (exports.NETWORK_CHAIN_ID = {}));
//# sourceMappingURL=network.constant.js.map