import { Network } from "./network.entity";
import { Provider } from "@ethersproject/providers";
export declare type TAggregatorProvider = Provider;
export declare type TAggregatorProviders = Array<TAggregatorProvider>;
export interface IExtendNetworkProvider extends Network {
    providers: TAggregatorProviders;
}
export interface IProviderHealthCheck {
    url: string;
    health: boolean;
}
export interface INetworkProviderHealthCheck {
    [networkSubName: string]: IProviderHealthCheck[];
}
