"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NFTokenItemPrice = void 0;
const nf_token_marketplace_entity_1 = require("../nf-token-marketplace/nf-token-marketplace.entity");
const nf_token_item_entity_1 = require("../nf-token-item/nf-token-item.entity");
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const token_entity_1 = require("../token/token.entity");
let NFTokenItemPrice = class NFTokenItemPrice extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)(entity_base_1.EmptyEntity)) {
};
NFTokenItemPrice.relations = ["marketplace", "nfTokenItem", "token"];
NFTokenItemPrice.recursiveRelations = [];
__decorate([
    (0, typeorm_1.ManyToOne)(() => nf_token_marketplace_entity_1.NFTokenMarketplace, { nullable: false }),
    __metadata("design:type", nf_token_marketplace_entity_1.NFTokenMarketplace)
], NFTokenItemPrice.prototype, "marketplace", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => nf_token_item_entity_1.NFTokenItem, {
        nullable: false,
    }),
    __metadata("design:type", nf_token_item_entity_1.NFTokenItem)
], NFTokenItemPrice.prototype, "nfTokenItem", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 65, scale: 22, default: 0 }),
    __metadata("design:type", String)
], NFTokenItemPrice.prototype, "price", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => token_entity_1.Token),
    __metadata("design:type", token_entity_1.Token)
], NFTokenItemPrice.prototype, "token", void 0);
NFTokenItemPrice = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_nf_token_item_price_1", ["marketplace", "nfTokenItem"], {
        unique: true,
    })
], NFTokenItemPrice);
exports.NFTokenItemPrice = NFTokenItemPrice;
//# sourceMappingURL=nf-token-item-price.entity.js.map