import { DeepPartial, EntityManager, InsertResult, Repository } from "typeorm";
import { NFTokenItemPrice } from "./nf-token-item-price.entity";
import { ServiceBase } from "../app/service.base";
export declare class NFTokenItemPriceService extends ServiceBase<NFTokenItemPrice> {
    readonly repo: Repository<NFTokenItemPrice>;
    constructor(repo: Repository<NFTokenItemPrice>);
    createOrUpdateAll(params: DeepPartial<NFTokenItemPrice>[], manager?: EntityManager): Promise<InsertResult>;
}
