"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NFToken = void 0;
const nf_token_item_entity_1 = require("../nf-token-item/nf-token-item.entity");
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
const network_entity_1 = require("../network/network.entity");
const nf_token_constant_1 = require("./nf-token.constant");
let NFToken = class NFToken extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
NFToken.relations = ["network"];
NFToken.recursiveRelations = [];
__decorate([
    (0, typeorm_1.ManyToOne)(() => network_entity_1.Network, {
        nullable: false,
    }),
    __metadata("design:type", network_entity_1.Network)
], NFToken.prototype, "network", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, default: "ERC721" }),
    __metadata("design:type", String)
], NFToken.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: false }),
    __metadata("design:type", String)
], NFToken.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: true }),
    __metadata("design:type", String)
], NFToken.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: true }),
    __metadata("design:type", String)
], NFToken.prototype, "symbol", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 50, nullable: true }),
    __metadata("design:type", String)
], NFToken.prototype, "totalSupply", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "bool", default: false }),
    __metadata("design:type", Boolean)
], NFToken.prototype, "enumerable", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 500, nullable: true }),
    __metadata("design:type", String)
], NFToken.prototype, "logoLink", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "enum", enum: nf_token_constant_1.NF_TOKEN_URI_TYPE }),
    __metadata("design:type", String)
], NFToken.prototype, "uriType", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => nf_token_item_entity_1.NFTokenItem, (nfTokenItem) => nfTokenItem.nfToken, {
        cascade: ["insert"],
    }),
    __metadata("design:type", Array)
], NFToken.prototype, "nfTokenItems", void 0);
NFToken = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_nfToken_1", ["network", "address"], { unique: true })
], NFToken);
exports.NFToken = NFToken;
//# sourceMappingURL=nf-token.entity.js.map