import { TokenCoinGeckoDataHistory } from "../token-coin-gecko-data-history/token-coin-gecko-data-history.entity";
import { EmptyEntity } from "../app/entity.base";
declare const TokenCoinGeckoData_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class TokenCoinGeckoData extends TokenCoinGeckoData_base {
    platformId: string;
    price: string;
    percentChange: string;
    logoLink: string;
    description: string;
    website: string[];
    chat: string[];
    announcement: string[];
    sourceCode: string[];
    relatedTokens: any;
    relatedMarkets: any;
    refresh: boolean;
    marketCap: string;
    history: TokenCoinGeckoDataHistory[];
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
