"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenCoinGeckoData = void 0;
const token_coin_gecko_data_history_entity_1 = require("../token-coin-gecko-data-history/token-coin-gecko-data-history.entity");
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
let TokenCoinGeckoData = class TokenCoinGeckoData extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
TokenCoinGeckoData.relations = ["history"];
TokenCoinGeckoData.recursiveRelations = [];
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", length: 100, nullable: false }),
    __metadata("design:type", String)
], TokenCoinGeckoData.prototype, "platformId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 65, scale: 22, default: 0 }),
    __metadata("design:type", String)
], TokenCoinGeckoData.prototype, "price", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", String)
], TokenCoinGeckoData.prototype, "percentChange", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "varchar", nullable: true, length: 500 }),
    __metadata("design:type", String)
], TokenCoinGeckoData.prototype, "logoLink", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "longtext", nullable: true }),
    __metadata("design:type", String)
], TokenCoinGeckoData.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", Array)
], TokenCoinGeckoData.prototype, "website", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", Array)
], TokenCoinGeckoData.prototype, "chat", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", Array)
], TokenCoinGeckoData.prototype, "announcement", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", Array)
], TokenCoinGeckoData.prototype, "sourceCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", Object)
], TokenCoinGeckoData.prototype, "relatedTokens", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "json", nullable: true }),
    __metadata("design:type", Object)
], TokenCoinGeckoData.prototype, "relatedMarkets", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "boolean", default: true }),
    __metadata("design:type", Boolean)
], TokenCoinGeckoData.prototype, "refresh", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 65, scale: 22, nullable: true }),
    __metadata("design:type", String)
], TokenCoinGeckoData.prototype, "marketCap", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => token_coin_gecko_data_history_entity_1.TokenCoinGeckoDataHistory, (tokenCoinGeckoDataHistoryService) => tokenCoinGeckoDataHistoryService.tokenCoinGeckoData),
    __metadata("design:type", Array)
], TokenCoinGeckoData.prototype, "history", void 0);
TokenCoinGeckoData = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_token_coin_gecko_data_1", ["platformId"], { unique: true })
], TokenCoinGeckoData);
exports.TokenCoinGeckoData = TokenCoinGeckoData;
//# sourceMappingURL=token-coin-gecko-data.entity.js.map