"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenCoinMarketCapDataHistory = void 0;
const token_coin_market_cap_data_entity_1 = require("../token-coin-market-cap-data/token-coin-market-cap-data.entity");
const typeorm_1 = require("typeorm");
const entity_base_1 = require("../app/entity.base");
let TokenCoinMarketCapDataHistory = class TokenCoinMarketCapDataHistory extends (0, entity_base_1.IdEntity)((0, entity_base_1.TimeEntity)((0, entity_base_1.StatusEntity)(entity_base_1.EmptyEntity))) {
};
TokenCoinMarketCapDataHistory.relations = ["tokenCoinMarketCapData"];
TokenCoinMarketCapDataHistory.recursiveRelations = [];
__decorate([
    (0, typeorm_1.ManyToOne)(() => token_coin_market_cap_data_entity_1.TokenCoinMarketCapData, {
        nullable: false,
    }),
    __metadata("design:type", token_coin_market_cap_data_entity_1.TokenCoinMarketCapData)
], TokenCoinMarketCapDataHistory.prototype, "tokenCoinMarketCapData", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "datetime" }),
    __metadata("design:type", String)
], TokenCoinMarketCapDataHistory.prototype, "date", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 65, scale: 22, default: 0 }),
    __metadata("design:type", String)
], TokenCoinMarketCapDataHistory.prototype, "price", void 0);
TokenCoinMarketCapDataHistory = __decorate([
    (0, typeorm_1.Entity)(),
    (0, typeorm_1.Index)("idx_token_coin_market_cap_data_history_1", ["tokenCoinMarketCapData", "date"], {
        unique: true,
    })
], TokenCoinMarketCapDataHistory);
exports.TokenCoinMarketCapDataHistory = TokenCoinMarketCapDataHistory;
//# sourceMappingURL=token-coin-market-cap-data-history.entity.js.map