import { TokenCoinMarketCapDataHistory } from "../token-coin-market-cap-data-history/token-coin-market-cap-data-history.entity";
import { EmptyEntity } from "../app/entity.base";
declare const TokenCoinMarketCapData_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof EmptyEntity;
export declare class TokenCoinMarketCapData extends TokenCoinMarketCapData_base {
    platformId: number;
    price: string;
    percentChange: string;
    logoLink: string;
    description: string;
    website: string[];
    twitter: string[];
    messageBoard: string[];
    chat: string[];
    facebook: string[];
    technicalDoc: string[];
    sourceCode: string[];
    announcement: string[];
    refresh: boolean;
    relatedTokens: any;
    relatedMarkets: any;
    marketCap: string;
    history: TokenCoinMarketCapDataHistory[];
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
